Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.server
Interface LifecycleEventContext

public interface LifecycleEventContext

LifecycleEventContext interface exposes the server-wide runtime environment that is created by ApplicationServer. This context has only accessors and is a subset of ServerContext used by the server runtime.

Method Summary
`java.lang.String[]` | `getCmdLineArgs()` Get the server command-line arguments
`javax.naming.InitialContext` | `getInitialContext()` Get the initial naming context.
`java.lang.String` | `getInstallRoot()` Get server install root
`java.lang.String` | `getInstanceName()` Get the server instance name
`void` | `log(java.lang.String message)` Writes the specified message to a server log file.
`void` | `log(java.lang.String message, java.lang.Throwable throwable)` Writes an explanatory message and a stack trace for a given `Throwable` exception to the server log file.

Method Detail

### getCmdLineArgs

    public java.lang.String[] getCmdLineArgs()

  Get the server command-line arguments

### getInstallRoot

    public java.lang.String getInstallRoot()

  Get server install root

### getInstanceName

    public java.lang.String getInstanceName()

  Get the server instance name

### getInitialContext

    public javax.naming.InitialContext getInitialContext()

  Get the initial naming context.

### log

    public void log(java.lang.String message)

  Writes the specified message to a server log file.

  Parameters:
    `message` - a `String` specifying the message to be written to the log file

### log

    public void log(java.lang.String message,
                    java.lang.Throwable throwable)

  Writes an explanatory message and a stack trace for a given `Throwable` exception to the server log file.

  Parameters:
    `message` - a `String` that describes the error or exception
    `throwable` - the `Throwable` error or exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.